device_type: hi6220-hikey-r2
job_name: AOSP OE hikey health check
timeouts:
  job:
    minutes: 60
  action:
    minutes: 15
  connection:
    minutes: 2
priority: medium
visibility: public

metadata:
  source: https://git.linaro.org/lava/lava-lab.git
  path: staging.validation.linaro.org/lava/pipeline/health-checks/hi6220-hikey.yaml
  build: morty-mainline-588
  original.build: http://snapshots.linaro.org/openembedded/lkft/morty/hikey/rpb/linux-mainline/588/
  reference.job: https://staging.validation.linaro.org/scheduler/job/192744/definition
  stage: hikey-merge
  uefi-build: 69
  uefi-url: https://snapshots.linaro.org/96boards/reference-platform/components/uefi-staging/69/hikey/release/

protocols:
  lava-lxc:
    name: lxc-hikey-test
    template: debian
    distribution: debian
    release: stretch
    mirror: http://mirror.bytemark.co.uk/debian

actions:
- deploy:
    namespace: tlxc
    timeout:
      minutes: 5
    to: lxc
    packages:
    - adb
    - fastboot
    os: debian

- boot:
    namespace: tlxc
    prompts:
    - 'root@(.*):'
    timeout:
      minutes: 5
    method: lxc

- deploy:
    timeout:
      minutes: 15
    # AOSP deployment
    to: fastboot
    namespace: hikey
    images:
      ptable:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/reference-platform/components/uefi-staging/69/hikey/release/ptable-aosp-8g.img
        reboot: hard-reset
      boot:
        url: http://images.validation.linaro.org/builds.96boards.org/snapshots/hikey/linaro/aosp-master/357/boot.img.xz
        compression: xz
        reboot: hard-reset
      cache:
        url: http://images.validation.linaro.org/builds.96boards.org/snapshots/hikey/linaro/aosp-master/357/cache.img.xz
        compression: xz
      userdata:
        url: http://images.validation.linaro.org/builds.96boards.org/snapshots/hikey/linaro/aosp-master/357/userdata.img.xz
        compression: xz
      system:
        url: http://images.validation.linaro.org/builds.96boards.org/snapshots/hikey/linaro/aosp-master/357/system.img.xz
        compression: xz
    os: debian
    protocols:
        lava-lxc:
        - action: fastboot-deploy
          request: pre-power-command
          timeout:
              minutes: 2

- boot:
    namespace: hikey
    prompts:
    - 'healthd: No battery devices found'
    - 'hikey:'
    timeout:
      minutes: 15
    method: fastboot

- test:
    namespace: tlxc
    timeout:
      minutes: 5
    definitions:
    - repository: https://git.linaro.org/lava-team/refactoring.git/
      from: git
      path: android/lava-android-basic-lxc.yaml
      name: v2-make-adb-connection

- test:
    namespace: tlxc
    timeout:
      minutes: 10
    definitions:
    - repository: https://git.linaro.org/lava-team/refactoring.git
      from: git
      path: testdefs/arm-probe.yaml
      name: arm-probe

- deploy:
    timeout:
      minutes: 45
    to: fastboot
    # OE deployment
    namespace: hikey
    connection: lxc
    images:
      ptable:
        url: http://images.validation.linaro.org/snapshots.linaro.org/96boards/reference-platform/components/uefi-staging/69/hikey/release/ptable-linux-8g.img
        reboot: hard-reset
      boot:
        url: http://images.validation.linaro.org/snapshots.linaro.org/openembedded/lkft/morty/hikey/rpb/linux-mainline/588/boot-0.0+AUTOINC+06e4def583-fb1158a365-r0-hikey-20180128213254-588.uefi.img
        reboot: hard-reset
      system:
        url: http://images.validation.linaro.org/snapshots.linaro.org/openembedded/lkft/morty/hikey/rpb/linux-mainline/588/rpb-console-image-hikey-20180128213254-588.rootfs.img.gz
        compression: gz
        apply-overlay: true
    os: oe
    protocols:
      lava-lxc:
      - action: fastboot-deploy
        request: pre-power-command
        timeout:
          minutes: 2
- boot:
    namespace: hikey
    prompts:
    - 'root@hikey:~#'
    - 'hikey:/'
    auto_login:
      login_prompt: 'login:'
      username: root
    timeout:
      minutes: 5
    method: grub
    commands: installed
    protocols:
      lava-lxc:
      - action: grub-sequence-action
        request: pre-os-command
        timeout:
          minutes: 2

- test:
    namespace: hikey
    timeout:
      minutes: 5
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests-basic-oe
    - repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: device-helper
          description: "check helpers"
          os:
          - debian
          scope:
          - functional
        run:
          steps:
          - lava-target-mac
          - lava-target-ip
      from: inline
      name: device-helpers
      path: inline/device-helpers.yaml

- test:
   namespace: tlxc
   timeout:
     minutes: 5
   definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests-basic-lxc
    - repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: device-helper
          description: "check helpers"
          os:
          - debian
          scope:
          - functional
        run:
          steps:
          - lava-target-mac
          - lava-target-ip
      from: inline
      name: lxc-helpers
      path: inline/lxc-helpers.yaml

